
Ceph - Bug #43646

common: bufferlist::last_p is not updated by operator=(const bufferlist&)

01/17/2020 09:28 AM - Radoslaw Zarzynski

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Radoslaw Zarzynski   

Category: common   

Target version:    

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: mimic,nautilus Pull request ID: 32702

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

This can lead to write-after-free, and thus to memory corruption.

Related issues:

Copied to Ceph - Backport #43722: nautilus: common: bufferlist::last_p is not... Resolved

Copied to Ceph - Backport #43723: mimic: common: bufferlist::last_p is not up... Rejected

History

#1 - 01/17/2020 04:49 PM - Radoslaw Zarzynski

- Backport set to mimic,nautilus

#2 - 01/20/2020 12:37 PM - Radoslaw Zarzynski

- Status changed from In Progress to Pending Backport

#3 - 01/20/2020 10:16 PM - Nathan Cutler

- Copied to Backport #43722: nautilus: common: bufferlist::last_p is not updated by operator=(const bufferlist&) added

#4 - 01/20/2020 10:17 PM - Nathan Cutler

- Copied to Backport #43723: mimic: common: bufferlist::last_p is not updated by operator=(const bufferlist&) added

#5 - 02/13/2020 02:18 PM - Nathan Cutler

- Pull request ID set to 32702

#6 - 01/27/2021 08:03 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".
